""" DeskNotes Application

	Copyright (c) 2000 Colin Stewart (http://www.owlfish.com/)
	All rights reserved.
		
	Redistribution and use in source and binary forms, with or without
	modification, are permitted provided that the following conditions
	are met:
	1. Redistributions of source code must retain the above copyright
	   notice, this list of conditions and the following disclaimer.
	2. Redistributions in binary form must reproduce the above copyright
	   notice, this list of conditions and the following disclaimer in the
	   documentation and/or other materials provided with the distribution.
	3. The name of the author may not be used to endorse or promote products
	   derived from this software without specific prior written permission.
	
	THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
	IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
	OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
	IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
	INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
	NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
	DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
	THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
	(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
	THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
	
	If you make any bug fixes or feature enhancements please let me know!

"""
// The DeskNoteView header file.

#ifndef _DESKNOTEVIEW_H
#define _DESKNOTEVIEW_H

#include <InterfaceKit.h>
#include <String.h>
#include <Application.h>

#include "DeskNoteApp.h"
#include "DeskNoteTextView.h"
#include "FontColourWindow.h"

// Launch DeskNotes.
#define DN_LAUNCH 'dnLN'
// Request to open the Font and Colour window.
#define DN_FNT_CLR 'dnFC'
// Request to change the current font and colour.
#define DN_CHG_FNT_CLR 'dnCF'

class DeskNoteView : public BView {
	public:
		DeskNoteView (BRect rect);
		DeskNoteView (BMessage *data);
		~DeskNoteView ();
		
		virtual void DetachedFromWindow ();
		virtual status_t Archive(BMessage *data, bool deep = true) const;
		virtual void Draw (BRect rect);
		virtual void MessageReceived (BMessage *msg);
		virtual void FrameResized (float width, float height);
		virtual void MouseDown(BPoint point);
		virtual void CascadeFontAndColour (void);
		virtual void SaveNote (BMessage *msg);
		virtual void RestoreNote (BMessage *msg);
		
		static	BArchivable	*Instantiate(BMessage *data);
		static int32 ResizeViewMethod (void *data);
		
		static const char defaultText[] = "DeskNotes Version 1.1.0\n\nWritten By Colin Stewart\n\nCopyright 2000";
		static const char aboutText[] = "DeskNotes Version 1.1.0\n\nCopyright Colin Stewart 2000\n";
				
	private:
		bool WeAreAReplicant;
		BTextView *textView;
		BRect ourSize;
		FontColourWindow *propertiesWindow;
		BMessage *orginalSettings;
		BPopUpMenu *popupMenu;
		rgb_color background, foreground, widgetcolour;		
};

#endif