""" DeskNotes Application

	Copyright (c) 2000 Colin Stewart (http://www.owlfish.com/)
	All rights reserved.
		
	Redistribution and use in source and binary forms, with or without
	modification, are permitted provided that the following conditions
	are met:
	1. Redistributions of source code must retain the above copyright
	   notice, this list of conditions and the following disclaimer.
	2. Redistributions in binary form must reproduce the above copyright
	   notice, this list of conditions and the following disclaimer in the
	   documentation and/or other materials provided with the distribution.
	3. The name of the author may not be used to endorse or promote products
	   derived from this software without specific prior written permission.
	
	THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
	IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
	OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
	IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
	INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
	NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
	DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
	THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
	(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
	THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
	
	If you make any bug fixes or feature enhancements please let me know!

"""
// The DeskNoteWindow header file.

#ifndef _FONTCOLOURWINDOW_H
#define _FONTCOLOURWINDOW_H

#include <InterfaceKit.h>

#define DN_COLOUR_MENU 'dnCM'
#define DN_COLOUR_CHANGE 'dnCH'
#define DN_PROPERTIES_REVERT 'dnRT'
#define DN_PROPERTIES_CLOSE 'dnCL'
#define DN_PROPERTIES_URGENT_CLOSE 'dnUC'

class FontColourWindow : public BWindow {
	public:
		FontColourWindow (BRect rect, BMessenger *msg, BMessage *initial);
		void MessageReceived (BMessage *msg);
		~FontColourWindow ();
	
		bool QuitRequested ();
		
		static void CalculateWindowFrame (BRect *windowFrame ,BRect parentFrame);
		
	private:
		BMessenger *messenger;
		BMessage *orginalSettings;
		int fontSize;
		font_family fontFamily;
		uint16 fontFace;
		rgb_color background, foreground;
		
		// The interface components go here.
		// The Font family
		BMenuBar *fontFamilyMenu;
		// The Font Face.  (Bold, Italic, etc.)
		BMenuBar *fontFaceMenu;
		// The font size.
		BMenuBar *fontSizeMenu;
		// Whether to change the foreground or background colours.
		BMenuBar *colourMenu;
		BPopUpMenu *colourPopupMenu;
		BMenuItem *backgroundColourItem;
		BMenuItem *foregroundColourItem;
		BMenuItem *currentSelection;
		BColorControl *colourControl;
		
		BStringView *title;
		BTextView *exampleText;
		
		BButton *revertButton;
		
		
};

#endif