""" DeskNotes Application

	Copyright (c) 2000 Colin Stewart (http://www.owlfish.com/)
	All rights reserved.
		
	Redistribution and use in source and binary forms, with or without
	modification, are permitted provided that the following conditions
	are met:
	1. Redistributions of source code must retain the above copyright
	   notice, this list of conditions and the following disclaimer.
	2. Redistributions in binary form must reproduce the above copyright
	   notice, this list of conditions and the following disclaimer in the
	   documentation and/or other materials provided with the distribution.
	3. The name of the author may not be used to endorse or promote products
	   derived from this software without specific prior written permission.
	
	THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
	IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
	OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
	IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
	INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
	NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
	DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
	THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
	(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
	THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
	
	If you make any bug fixes or feature enhancements please let me know!

"""
// File: $RCSFile$
// Revision: $Revision: 1.3 $
// Date: $Date: 2000/03/29 19:32:58 $
#include "DeskNoteTextView.h"

DeskNoteTextView::DeskNoteTextView (BRect textViewRect, const char *name, BRect textRect,
	 uint32 resizingMode, uint32 flags) : BTextView (textViewRect, name, textRect, resizingMode, flags) {
}

DeskNoteTextView::DeskNoteTextView (BMessage *data) : BTextView (data) {
}

status_t DeskNoteTextView::Archive (BMessage *data, bool deep) const {	
	BTextView::Archive (data, deep);
	data -> AddString ("class", "DeskNoteTextView");
	data -> AddString ("add_on", app_signature);
	return B_NO_ERROR;
}

void DeskNoteTextView::MouseDown (BPoint point) {
	if (!Window () -> IsActive ()) Window () -> Activate (true);
	Parent () -> MouseDown (point);
	BTextView::MouseDown (point);
}

BArchivable * DeskNoteTextView::Instantiate (BMessage *data) {
	if (!validate_instantiation(data, "DeskNoteTextView"))
		return NULL;
	return new DeskNoteTextView(data);
}
